package model.fish;

import model.fish.behavior.DarterBehavior;
import model.fish.display.NarrowFishDisplay;
import sysModel.fish.Fish;

import java.awt.*;

/**
 * Class for a darter fish.
 *
 * @author Mathias G. Ricken
 */
public class DarterFish extends Fish {
    /**
     * Create a new darter fish.
     *
     * @param fishColor color of the fish
     */
    public DarterFish(Color fishColor) {
        super(fishColor, NarrowFishDisplay.Singleton, DarterBehavior.Singleton);
    }
}
