package model.fish.bad;

import model.ILambda;
import model.fish.display.ImageFishDisplay;
import sysModel.fish.AFish;

import java.awt.*;

/**
 * A fish that creates a heap overflow.
 *
 * @author Mathias Ricken
 */
public class HeapOverflowFish extends AFish {
    /**
     * Constructor.
     *
     * @param fishColor color of the fish
     */
    public HeapOverflowFish(Color fishColor) {
        super(fishColor, new ImageFishDisplay("smallfish.gif", 3.0 * Math.PI / 2.0));
    }

    /**
     * Move the fish.
     */
    protected void move() {
        while(true) {
            // attempt to move forward
            tryMoveFwd(new ILambda() {
                public Object apply(Object param) {
                    // don't do anything
                    return null;
                }
            }, new ILambda() {
                public Object apply(Object param) {
                    // don't do anything
                    return null;
                }
            });
        }
    }
}
