package model.fish.bad;

import model.fish.display.ImageFishDisplay;
import sysModel.fish.AFish;

import java.awt.*;

/**
 * A fish that locks up the system and prevents progress.
 *
 * @author Mathias Ricken
 */
public class LockupFish extends AFish {
    /**
     * Constructor.
     *
     * @param fishColor color of the fish
     */
    public LockupFish(Color fishColor) {
        super(fishColor, new ImageFishDisplay("smallfish.gif", 3.0 * Math.PI / 2.0));
    }

    /**
     * Move the fish.
     */
    protected void move() {
        while(true) {
        }
    }
}
