package sysModel.fish;


/**
 * Fish behavior interface.
 *
 * @author Mathias Ricken
 */
public interface IFishBehavior {
    /**
     * Carry out movement behavior for the host fish.
     *
     * @param host fish to move.
     */
    public abstract void move(final Fish host);
}
